<?php

// Set the configuration
// ---------------------

$ENCODAGE = "UTF-8";
$APPLICATION = "Suite Applicative Syndicale";
$VERSION = "3.3";

$etat = "debug";    // Mode debug pour le développement
//$etat = "service";  // Mode hors-service
//$etat = "production"; // Mode production

date_default_timezone_set('America/Montreal');
setlocale(LC_ALL, 'ca_FR');

// Chargement de la configuration depuis le fichier .env
$dotenv = Dotenv\Dotenv::createImmutable(__DIR__);
$dotenv->load();

$dotenv->required('SQL_USER');
$dotenv->required('SQL_PW');

//$dotenv->required('LIBERATION_ADRESSE');
//$dotenv->required('LIBERATION_PW');

// VAULT_USER : à venir
// VAULT_PW : à venir
//Adresse Ip de l'appelant
if (!isset($IP)) {
    $IP = getenv("REMOTE_ADDR");
}

// Assigne le niveau de reportage des erreurs
// Pour développement local
if (filter_input(INPUT_SERVER, 'HTTP_HOST') == "localhost") {
    if ($etat == "debug") {
        ini_set('display_errors', 'On');
        error_reporting(2147483647); //Remplace E_ALL dont la valeur n'est pas assez élevé pour les erreurs.
    } elseif ($etat == "production") {
        ini_set('display_errors', 'Off');
        ini_set('log_errors', 'On');
        error_reporting(E_ERROR | E_WARNING | E_PARSE | E_NOTICE);
    }

//Production
} else {
    $etat = "production";
    ini_set('display_errors', 'Off');
    ini_set('log_errors', 'On');
    error_reporting(E_ERROR | E_WARNING | E_PARSE | E_NOTICE);
}
